parameters:
    jwt_cookie_name: 'streamer:jwt'

lexik_jwt_authentication:
    secret_key: '%env(resolve:JWT_SECRET_KEY)%'
    public_key: '%env(resolve:JWT_PUBLIC_KEY)%'
    pass_phrase: '%env(JWT_PASSPHRASE)%'
    token_ttl: 31536000 # in seconds, default is 1 year
    token_extractors:
        authorization_header:
            enabled: false
        cookie:
            enabled: true
            name: '%jwt_cookie_name%'
    set_cookies:
        '%jwt_cookie_name%': ~
